Name:         blop
Version:      0.2.7
Release:      2mdk

Summary:      Bandlimited LADSPA Oscillator Plugins
License:      GPL
Group:        Sound
URL:	      http://blop.sourceforge.net/

Source:       blop-%{version}.tar.bz2
Patch0:       blop-0.2.7-compile.patch.bz2
BuildRoot:    %{_tmppath}/%{name}-buildroot
BuildRequires: ladspa-devel
Requires:     ladspa

%description
BLOP comprises a set of LADSPA plugins that generate bandlimited
sawtooth, square, variable pulse and slope-variable triangle waves,
for use in LADSPA hosts, principally for use with one of the many
modular software synthesisers available.

They are wavetable based, and are designed to produce output with
harmonic content as high as possible over a wide pitch range.

%prep
%setup
%patch0 -p1

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ladspa
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ladspa/rdf
make DESTDIR="$RPM_BUILD_ROOT" install

# install the rdf description
install -m0644 doc/blop.rdf $RPM_BUILD_ROOT%{_datadir}/ladspa/rdf
# we don't want to package makefiles in the doc
rm -f doc/Makefile*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README THANKS TODO doc/*
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*.so
%{_datadir}/ladspa/rdf/*.rdf

%changelog

* Sat Nov 08 2003 Michael Scherer <scherer.michael@free.fr> 0.2.7-2mdk
- BuildRequires ( ladspa-devel )

* Mon Oct 13 2003 Austin Acton <aacton@yorku.ca> 0.2.7-1mdk
- playing catchup with CCRMA ;-)

* Thu May  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.7-1
- updated to 0.2.7
* Fri Feb 21 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.6
- initial build
